package ervu.model.okopf;

import java.io.Serializable;
import java.util.Arrays;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author xakim
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class OkopfDataModel implements Serializable {
  private static final long serialVersionUID = 1L;

  @JsonProperty("records")
  private OkopfDetailsModel[] details;

  public OkopfDetailsModel[] getDetails() {
    return details;
  }

  public void setDetails(OkopfDetailsModel[] details) {
    this.details = details;
  }

  @Override
  public String toString() {
    return "OkopfDataModel{" +
           "details=" + Arrays.toString(details) +
           '}';
  }
}
